API documentation | API docs for agents | OpenAPI 3.1

POST /api/v1/spot-quotes/{spotQuoteId}/watch

ark.watch_spot_quote

Adds the connected actor as a watcher for a visible spot quote.

Availability
Expanded preview
Scopes
loads:write
ARK permissions
canViewLoads
Team visibility
Required and enforced
Idempotency-Key
Required for this write
Approval
No MCP approval on REST API-token calls
Rate limit
API credential and organization budgets

Parameters

spotQuoteIdpathstringrequired
format: uuid
Idempotency-Keyheaderstringrequired
Required for external write operations.
min length: 1; max length: 255

Request body

None.

Example request

Shell
curl -X POST 'https://arktms.com/api/v1/spot-quotes/<spotQuoteId>/watch' \
  -H "Authorization: Bearer $ARK_API_TOKEN" \
  -H "Idempotency-Key: <unique-key>"

Success response

Spot quote watch action result

objectstringrequired
okbooleanrequired
api_versionstringrequired
request_idstringrequired
dataobjectrequired
data.spotQuoteIdstringrequired

format: uuid

data.watchIdstring | nullrequired

format: uuid

data.watchedbooleanrequired
data.alreadyWatchedboolean

Errors

HTTP 400
Invalid request
HTTP 401
Authentication required
HTTP 403
Permission, scope, team, or entitlement denied
HTTP 404
Resource not found
HTTP 409
Idempotency conflict or in-progress retry